#!/usr/bin/env python
#coding:utf8

class RpcError(Exception):
    
    '''
    Exception raised by caller when an error occurs while execution of remote
    procedure call.
    '''
    
    def __init__(self, exception, message):
        self.exception = exception
        self.message = message
    
    def __str__(self):
        return '%s' % self.message
